Subject: Re: bug#20093: Fw: bug#20093: master: setting merge-generics duplicate-binding-handler @ expand time raises an error

From: Andy Wingo <[email-masked]>
Date: Thu, 07 Jul 2016 12:22:02 +0200

On Sun 03 Jul 2016 22:55, David Pirotte <[email-masked]> writes:

> This is a big problem for me, so I partially locally reverted that part of
> the patch, plus, I patch guild so it does this before anything else:
>
> 	(eval-when (expand load eval)
> 	  (use-modules (oop goops))
> 	  (default-duplicate-binding-handler
> 	    '(merge-generics replace warn-override-core warn last)))

Hi,

It takes work for me to understand and fix reports and I regret to say
that patching "guild" is too much for me -- I don't have the time to
work on bugs in patched Guile versions where the patches are significant
(like this patch) and yet not headed towards mainline (also like this
patch).

Regards,

Andy